services:
    app.adtext.twig.block:
        class: App\AdsTextBundle\Twig\AdTextBlockExtension
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@twig'
            - '@notimeo.sections_container'
        tags:
            - { name: twig.extension }
    app.adtext.listener.breadcrumbs:
        class: App\AdsTextBundle\EventListener\AdsTextBreadcrumbListener
        tags:
            - { name: kernel.event_listener, event: notimeo.breadcrumbs }
        arguments:
            - '@app.breadcrumbs_services'
            - '@notimeo.sections_container'
            - '@translator.default'

    app.adtext.listener.payments:
        class: App\AdsTextBundle\EventListener\AdsTextPaymentsListener
        tags:
            - { name: kernel.event_listener, event: dotpay.thanks }
            - { name: kernel.event_listener, event: dotpay.clicked }
            - { name: kernel.event_listener, event: dotpay.completed }
            - { name: kernel.event_listener, event: dotpay.rejected }
            - { name: kernel.event_listener, event: dotpay.sms_payment_init }
        arguments:
            - '@session'

    App\AdsTextBundle\Validator\Constraints\AcceptedRegTextAdsValidator:
        class: App\AdsTextBundle\Validator\Constraints\AcceptedRegTextAdsValidator
        tags:
            -  name: validator.constraint_validator